"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (routeName, action) {
  return function (router) {
    router.get("/" + routeName, action.list).get("/" + routeName + "/:id", action.get).post("/" + routeName, action.new).put("/" + routeName + "/:id", action.update).delete("/" + routeName + "/:id", action.delete);

    return router;
  };
};
//# sourceMappingURL=routeCreator.js.map