'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _webpack = require('webpack');

var _webpack2 = _interopRequireDefault(_webpack);

var _webpackDevMiddleware = require('webpack-dev-middleware');

var _webpackDevMiddleware2 = _interopRequireDefault(_webpackDevMiddleware);

var _webpackHotMiddleware = require('webpack-hot-middleware');

var _webpackHotMiddleware2 = _interopRequireDefault(_webpackHotMiddleware);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (server, webpackConfig) {
  if (server.get('env') === 'production') {
    return;
  }

  var compiler = (0, _webpack2.default)(webpackConfig);

  server.use((0, _webpackHotMiddleware2.default)(compiler));

  server.use((0, _webpackDevMiddleware2.default)(compiler, {
    historyApiFallback: true,
    hot: true,
    quiet: true
  }));
};
//# sourceMappingURL=hmr.js.map