'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _action = require('./action');

var PostAction = _interopRequireWildcard(_action);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = function (router) {
  router.get('/posts', PostAction.getPosts).get('/posts/:postId', PostAction.getPost).post('/posts', PostAction.addPost).delete('/posts/:postId', PostAction.deletePost);

  return router;
};
//# sourceMappingURL=route.js.map