'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _model = require('./model');

var _model2 = _interopRequireDefault(_model);

var _action = require('../common/action');

var _action2 = _interopRequireDefault(_action);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var action = (0, _action2.default)(_model2.default);

exports.default = function (router) {
  router.get('/users', action.list).get('/users/:userId', action.get).post('/users', action.new).delete('/users/:userId', action.delete);

  return router;
};
//# sourceMappingURL=route.js.map