'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _mongoose = require('mongoose');

var _mongoose2 = _interopRequireDefault(_mongoose);

var _commonErrors = require('common-errors');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
  return new Promise(function (resolve, reject) {
    _mongoose2.default.connection.db.dropDatabase(function (err) {
      if (err) {
        reject(new _commonErrors.data.MongoDBError('Fail to drop database', err));
      }

      _mongoose2.default.connection.close(resolve);
    });
  });
};
//# sourceMappingURL=dropDb.js.map