"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = function (Model) {
  var data = arguments.length <= 1 || arguments[1] === undefined ? [] : arguments[1];

  if (!Array.isArray(data)) {
    throw new Error("Data: " + data + " must be an array");
  }

  var models = data.map(function (eachData) {
    return new Model(eachData);
  }).map(function (eachModel) {
    return eachModel.save();
  });

  return Promise.all(models);
};
//# sourceMappingURL=seedData.js.map