'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _express = require('express');

var _express2 = _interopRequireDefault(_express);

var _middleware = require('../middlewares/middleware');

var _middleware2 = _interopRequireDefault(_middleware);

var _config = require('../config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var server = (0, _express2.default)();
(0, _middleware2.default)(server);

exports.default = function (route) {
  server.use('/' + _config.API_ROUTE_NAME_SPACE, route((0, _express.Router)()));
  return server;
};
//# sourceMappingURL=mockServer.js.map